%define rev	2379
%define rel	2

%if %{rev}
%define release	%mkrel -c %{rev} %{rel}
%else
%define release	%mkrel %{rel}
%endif

Name:		qsampler
Summary:	LinuxSampler GUI front-end application
Version:	0.2.2
Release:	%{release}
License:	GPLv2
Group:		Sound/Midi
# Create tarball from svn in SOURCES using:
# ./mk_svn_tar qsampler https://svn.linuxsampler.org/svn/qsampler/trunk tar.gz
Source0:	%{name}-%{rev}.tar.gz
Source1:	mk_svn_tar
URL:		http://qsampler.sourceforge.net/
BuildRequires:	pkgconfig(lscp)
BuildRequires:	pkgconfig(QtCore)
BuildRequires:	pkgconfig(QtGui)
BuildRequires:	pkgconfig(gig)
Requires:	linuxsampler

%description
QSampler is a LinuxSampler GUI front-end application written in 
C++ around the Qt4 toolkit using Qt Designer. At the moment it 
just wraps as a client reference interface for the LinuxSampler 
Control Protocol (LSCP).

%files
%{_bindir}/qsampler
%{_datadir}/applications/qsampler.desktop
%{_datadir}/icons/hicolor/32x32/apps/qsampler.png
%{_datadir}/locale/*.qm

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}
[ -f Makefile.svn ] && make -f Makefile.svn

%build
export PATH=$QTDIR/bin:$PATH
%configure2_5x
%make 

%install
make DESTDIR=%buildroot install


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.2.2-0.2379.2.mga3
+ Revision: 379911
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 barjac <barjac> 0.2.2-0.2379.1.mga3
+ Revision: 349433
- correct release format

* Wed Nov 14 2012 barjac <barjac> 0.2.2-0.2379.mga3
+ Revision: 317573
- imported package qsampler

